org.aspectj.lang.reflect

## Interface DeclarePrecedence

All Known Implementing Classes:
  DeclarePrecedenceImpl

    public interface DeclarePrecedence

AspectJ runtime representation of a declare precedence statement as declared in an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType` `getDeclaringType()`
`TypePattern[]` `getPrecedenceOrder()`

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

Returns:
  the declaring aspect

#### getPrecedenceOrder

    TypePattern[] getPrecedenceOrder()

Returns:
  an ordered set of type patterns. An aspect matching a type pattern at a lower index in the array takes precedence over an aspect that only matches a type pattern at a higher index in the array.